Survey.StylesManager.applyTheme("modern");
var surveyValueChanged = function (sender, options) {
var el = document.getElementById(options.name);
if(el) {
el.value = options.value;
}
};
var json = { questions: [
{type: "text", name: "name", title: "Your name:"},
{type: "text", name: "email", title: "Your e-mail"},
{ type: "checkbox", name: "car", title: "What car are you driving?", isRequired: true, colCount: 4,
choices: ["None", "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen"] }
]};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(result) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(result.data, null, 3);
});
survey.data = {name:'John Doe', email: 'johndoe@nobody.com', car:['Ford']};
$("#surveyElement").Survey({
model: survey ,onValueChanged: surveyValueChanged
});
<!DOCTYPE html>
<html lang="en">
<head>
<title>Example of setting and getting results into/from the survey, jQuery Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/jquery"></script>
<script src="/DevBuilds/survey-jquery/survey.jquery.min.js"></script>
<link href="/DevBuilds/survey-knockout/modern.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body>
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/javascript" src="./index.js"></script>
</body>
</html>

Survey.StylesManager.applyTheme("modern");
var surveyValueChanged = function (sender, options) {
var el = document.getElementById(options.name);
if(el) {
el.value = options.value;
}
};
var json = {
"elements": [
{
"type": "text",
"name": "name",
"title": "Your name:"
},
{
"type": "text",
"name": "email",
"title": "Your e-mail"
},
{
"type": "checkbox",
"name": "car",
"title": "What car are you driving?",
"isRequired": true,
"colCount": 4,
"hasNone": true,
"choices": [ "Ford", "Vauxhall", "Volkswagen", "Nissan", "Audi", "Mercedes-Benz", "BMW", "Peugeot", "Toyota", "Citroen" ]
}
]
};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(sender) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(sender.data, null, 3);
});
survey.data = {name:'John Doe', email: 'johndoe@nobody.com', car:['Ford']};
ReactDOM.render(
<SurveyReact.Survey model={survey} onValueChanged={surveyValueChanged} />, document.getElementById("surveyElement"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Survey Data, Reactjs Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/react@17.0.1/umd/react.production.min.js"></script>
<script src="https://unpkg.com/react-dom@17.0.1/umd/react-dom.production.min.js"></script>
<script src="https://unpkg.com/@babel/standalone@7.2.5/babel.min.js"></script>
<script src="/DevBuilds/survey-core/survey.core.min.js"></script>
<script src="/DevBuilds/survey-core/survey.i18n.min.js"></script>
<script src="/DevBuilds/survey-react-ui/survey-react-ui.min.js"></script>
<link href="/DevBuilds/survey-core/modern.min.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body style="margin: 0">
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/babel" src="./index.js"></script>
</body>
</html>
Help us serve you better by taking this brief survey.
We are interested to learn more about your
experience of using our libraries.
We'd really appreciate your feedback.
Start the SurveyApproximate time to complete: 2 min.